DeluxHostAPI Reference
VPS management

Get rescue mode status

GET
/v1/services/{serviceId}/virtfusion/rescue

The rescue SSH login (ssh) is returned only when the token also holds services:console; otherwise ssh is null.

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
active*boolean
image*null|
ssh*null|
images*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/virtfusion/rescue' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "active": true,  "image": null,  "ssh": null,  "images": [    {      "id": 0,      "name": "string"    }  ]}